Das Forum

playonlinux ne fait rien

Autor Antworten
choosedeath Monday 28 May 2007 at 8:58
choosedeathAnonymous

Bonjour,
Alors, voila :
Je lance playonlinux, mais il ne fait rien a part afficher le menu. Quoi que je fasse, il me demande si je veux quitter. Si je fait oui ou non, il revien au menu.
Petite précision, je suis sous gutsy...
Quentin PÂRIS Monday 28 May 2007 at 9:14
Quentin PÂRIS
Admin

Tu peux me taper la commande "zentity --version" dans un terminal ?

Si il n'y a rien à faire avec zenity pour gusty, je t'enverrais un fichier permettant d'avoir une interface en console : c'est déja ça ;)
choosedeath Monday 28 May 2007 at 17:54
choosedeathAnonymous

azlors...

2.19.1

Je pense que c'est la version qui corespond au gnome en dev...
Quentin PÂRIS Monday 28 May 2007 at 18:09
Quentin PÂRIS
Admin

Exacte, j'ai la 2.18.1 moi ... Montre moi ce que répond la console

Editiert von: Tinou

Quentin PÂRIS Monday 28 May 2007 at 22:46
Quentin PÂRIS
Admin

Je déplace ton sujet dans le forum approprié ;)
choosedeath Tuesday 29 May 2007 at 12:15
choosedeathAnonymous

alors voila...

stiven@stiven-desktop:~$ playonlinux

(zenity:23964): Gtk-WARNING **: Icon cache '/usr/share/pixmaps/hicolor/icon-theme.cache' is invalid bad image index

Editiert von: GarulfoUnix

GarulfoUnix Tuesday 29 May 2007 at 12:36
GarulfoUnix

J'ai édité ton post choosedeath car c'était pas trop lisible pour les messages d'erreurs. N'hésitez pas s'il vous plaît à utiliser les balises bbcodes :) .

Rappel :

- [ b ] ... [ / b] = texte
- [ u ] ... [ / u] = texte
- [ i ] ... [ / i] = texte
- [code = console] ... [ /code] = $ ./PlayOnLinux

Bien entendu, j'ai mis les espaces entre les crochets et les lettres pour qu'ils puissent être imprimables. .

En ce qui concerne les messages d'erreurs, inutile de copier le même message si il est répétitif :) .

PenBook
Pour info: GuideCoder.org va être remplacé par PenBook.
kokotchY Tuesday 29 May 2007 at 16:33
kokotchYAnonymous

Bonjour.
J'ai également ce problème.
J'ai la version 2.16.2. Il n'y a aucune message d'erreur "grave".

J'installe actuellement la version même si c'est pas conseillé :-°

Je ne peux pas installer la version 2.18 car la version 2.18 de gnome est masquée chez moi. (J'ai pas envie de tout réinstaller).

Je n'utilise pas gnome et j'ai donc essayé sous gnome : même problème.

Editiert von: kokotchY

Quentin PÂRIS Tuesday 29 May 2007 at 17:33
Quentin PÂRIS
Admin

En essayant de lancer le script de la manière suivante :
bash /endroit/de/playonlinux

Par exemple :
bash /usr/share/playonlinux/playonlinux

Ca change quelque chose ?

Editiert von: Tinou

Christhaal Tuesday 29 May 2007 at 17:46
Christhaal

Plutot:

Par exemple :
bash /usr/share/playonlinux/playonlinux

Quentin PÂRIS Tuesday 29 May 2007 at 22:36
Quentin PÂRIS
Admin

Alors, si le problème persiste toujours, je vais écrire la version 1.6 de PlayOnLinux.

Celle ci n'aura pas besoin de zenity si on la lance avec une commande spécifique en console.

Cela permettra les problèmes des gens qui ne peuvent pas installer zenity ainsi que votre problème.

PS. J'essayerais quand même de voir ce qui cloche chez vous
kokotchY Tuesday 29 May 2007 at 23:08
kokotchYAnonymous

Non ca ne marche pas non plus :/

J'ai essayé de refaire à la main ce que le script faisait, mais ca ne marche pas non plus :x
Quentin PÂRIS Wednesday 30 May 2007 at 12:56
Quentin PÂRIS
Admin

Le problème semble être situé dans /usr/share/playonlinux/lib .

principal=$(menu "Menu principal" "Jouer Installer Expansions Patchs Désinstaller" 300 250);

La variable "$principal" semble ne pas prendre de valeur. Essai de rajouter "echo $principal" en dessous pour voir ce que ça donne

kokotchY Wednesday 30 May 2007 at 14:29
kokotchYAnonymous

Si je clique, ca affiche la valeur sur laquelle j'ai cliqué :/

Par contre, j'ai trouvé un truc d'interessant
Au lieu d'afficher la variable, j'ai affiché |$principal|, pour voir si ce n'était pas une magouille avec des espaces.
|bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
bad image index
Jouer|

Ca affiche ca ! Pas étonnant dés lors que ca ne marche pas

Voici ce que ca m'affiche quand je lance le programme : http://rafb.net/p/CcCEKc61.html

J'ai essayé sous gnome, et j'ai également ces erreurs :/

Editiert von: kokotchY

Quentin PÂRIS Wednesday 30 May 2007 at 16:01
Quentin PÂRIS
Admin

Téléchargez la version 1.6 de PlayOnLinux
http://webadvance.free.fr/PlayOnLinux/script_files/PlayOnLinux_1.6.tar.gz

Et essayez de le lancer avec la commande suivante
./playonlinux --force-qt
choosedeath Thursday 31 May 2007 at 8:52
choosedeathAnonymous

haaaa, bon, et bien avec ce nouveau playonlinux et bien ça marche tout de suite beaucoup mieu
kokotchY Thursday 31 May 2007 at 11:20
kokotchYAnonymous

Ca marche maintenant
Sauf que j'ai les accents qui ne passent pas bien :x
Quentin PÂRIS Thursday 31 May 2007 at 13:04
Quentin PÂRIS
Admin

Oui, ... Il doit y avoir le problème des "\n" aussi.

Kdialog et Zenity ne fonctionne pas tout à fait pareil. Je pourrais aussi faire une interface Xdialog si vraiment il y a d'autres problèmes .
kokotchY Friday 1 June 2007 at 10:40
kokotchYAnonymous

Ces dialogues ne sont pas au point identique qu'il suffit d'avoir un
dialog=Xdialog/Kdialog/Zenity
et faire ${dialog} --title ... ?

Et sinon, le --force-qt c'est pas marrant, tu pourrais pas faire un truc standard de base (pour lancer), qui va lire la configuration et voir c'est quel interface qu'il faut utiliser ?

Sinon pour le moment, un alias est suffisant

Editiert von: Skely

Quentin PÂRIS Friday 1 June 2007 at 16:01
Quentin PÂRIS
Admin

Ces dialogs ne sont pas au point identique qu'il suffit d'avoir un
dialog=Xdialog/Kdialog/Zenity
et faire ${dialog} --title ... ?

Quote from kokotchY


Non, ça marche pas comme ça malheureusement

Et sinon, le --force-qt c'est pas marrant, tu pourrais pas faire un truc standard de base (pour lancer), qui va lire la configuration et voir c'est quel interface qu'il faut utiliser ?

Sinon pour le moment, un alias est suffisant

Quote from kokotchY


Prévu pour la 1.6.2